Recheck a SAN's DNS
POST
/api/organizations/{organizationId}/certificates/{certificateId}/sans/{id}/recheck
Immediately re-runs the CNAME/DNS validation for this SAN and returns the updated entity. Updates dnsStatus ("valid" or "missing"), dnsLastCheckedAt and dnsNextCheckAt (next check in 24h when valid, in 5 minutes when missing). Throttled to once per 60 seconds: a 429 is returned if called sooner. Send an empty request body.
Authorizations
ApiToken
Long-lived API token created via POST /api/api-tokens (returned once in plaintext).
Type
API Key (header: X-API-TOKEN)
or
JWT
JWT access token obtained via POST /api/auth/login. Send as: Authorization: Bearer
Type
HTTP (bearer)
Parameters
Path Parameters
organizationId*
Organization identifier
Type
Requiredstring
certificateId*
Certificate identifier
Type
Requiredstring
id*
certificate-san identifier
Type
Requiredstring
Request Body
JSON "id": "9d1e8a4c-6b2f-4d3e-8a1b-2c3d4e5f6a7b", "certificate": "https://example.com/", "name": "www.example.com", "dnsStatus": "valid", "dnsLastCheckedAt": "2026-07-01T12:00:00+00:00", "dnsNextCheckAt": "2026-07-02T12:00:00+00:00", "sslStatus": "covered", "createdAt": "2026-07-01T12:00:00+00:00", "updatedAt": "2026-07-01T12:00:00+00:00"
{
}
Responses
certificate-san resource created
JSON "@context": "string", "@id": "string", "@type": "string", "id": "9d1e8a4c-6b2f-4d3e-8a1b-2c3d4e5f6a7b", "name": "www.example.com", "dnsStatus": "valid", "dnsLastCheckedAt": "2026-07-01T12:00:00+00:00", "dnsNextCheckAt": "2026-07-02T12:00:00+00:00", "sslStatus": "covered", "createdAt": "2026-07-01T12:00:00+00:00", "updatedAt": "2026-07-01T12:00:00+00:00"
{
}
